robsb
Materials
- Apr 4, 2007
- 1
Thanks to fellow member ailuJ and previous thread562-33964
I've tailored the following code to gain a DXF file, however the DXF file created is empty of any lines. I'm running the code as a vb exe within Solid Edge with the sheet metal part already open. Can anybody please help?
Public objApp As SolidEdgeFramework.Application
Set objApp = GetObject(, "SolidEdge.Application")
Dim objFoldedDoc As SolidEdgePart.SheetMetalDocument
Dim cActDocType As DocumentTypeConstants
cActDocType = objApp.ActiveDocumentType
If cActDocType = igSheetMetalDocument Then
Set objFoldedDoc = objApp.ActiveDocument
Else
Exit Sub
End If
objFoldedDoc.SaveAs "c:\test.dxf"
I've tailored the following code to gain a DXF file, however the DXF file created is empty of any lines. I'm running the code as a vb exe within Solid Edge with the sheet metal part already open. Can anybody please help?
Public objApp As SolidEdgeFramework.Application
Set objApp = GetObject(, "SolidEdge.Application")
Dim objFoldedDoc As SolidEdgePart.SheetMetalDocument
Dim cActDocType As DocumentTypeConstants
cActDocType = objApp.ActiveDocumentType
If cActDocType = igSheetMetalDocument Then
Set objFoldedDoc = objApp.ActiveDocument
Else
Exit Sub
End If
objFoldedDoc.SaveAs "c:\test.dxf"